import { Dispatch } from 'react';
import pdfActions from './pdf';
import mainActions from './main';
import searchActions from './search';

const useActions = (dispatch: Dispatch<any>): Record<string, any> => ({
  ...pdfActions(dispatch),
  ...mainActions(dispatch),
  ...searchActions(dispatch),
});

export default useActions;
